iiko API —
automate
your restaurant business
An API for integrating with the iiko platform. Work with orders, menus, loyalty and documents through a single interface. Your first call takes 5 minutes.
API products
iiko API methods and the iikoFront SDK — everything for integrating with the restaurant platform
Your first call in 5 minutes
Three steps — from signing up to getting your list of organizations
- 1 Sign up Create an application in the portal and get your access keys ~2 minutes
- 2 Access token Exchange the keys for a token with a single request ~1 minute
- 3 First request Call an API method and get real data back ~2 minutes
// Get the list of organizations
curl -X POST "https://api-ru.iiko.services/api/1/organizations" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {your_token}" \
-d '{}'
// {
// "organizations": [
// { "id": "...", "name": "..." }
// ],
// "correlationId": "..."
// }
# Get the list of organizations
import requests
url = "https://api-ru.iiko.services/api/1/organizations"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer {your_token}"
}
response = requests.post(url, headers=headers, json={})
data = response.json()
for org in data["organizations"]:
print(f"ID: {org['id']}, {org['name']}")
// Get the list of organizations
const url = "https://api-ru.iiko.services/api/1/organizations";
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer {your_token}"
},
body: JSON.stringify({})
});
const data = await response.json();
console.log(data.organizations);
// Get the list of organizations
import java.net.http.*;
import java.net.URI;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api-ru.iiko.services/api/1/organizations"))
.header("Content-Type", "application/json")
.header("Authorization", "Bearer {your_token}")
.POST(HttpRequest.BodyPublishers.ofString("{}"))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
// Get the list of organizations
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post,
"https://api-ru.iiko.services/api/1/organizations");
request.Headers.Add("Authorization",
"Bearer {your_token}");
request.Content = new StringContent("{}",
Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
var json = await response.Content.ReadAsStringAsync();
Console.WriteLine(json);
What you can build with the iiko API
Ready-made integration scenarios with step-by-step guides and code examples
IntegratorsKit — integrator support program
A support program for teams building integrations with iiko
- A cloud demo stand and an iiko demo licence
- Architecture and workflow review
- Priority answers in a Telegram chat
- Everything from Consulting
- A dedicated developer for your project
- Review of your plugin's source code